## word2x 0.005-1

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# $Id: Makefile.in,v 1.18 1997/04/13 09:11:40 dps Exp dps $
#
# My test system is Linux 2.1.30, gcc 2.7.2, libc 5.4.27

CC=gcc
CPP=c++

#seek_set_hdr is a hack for Sun OS (and others? I hope not)
CPPFLAGS=-g -Wall -DHAVE_CONFIG_H 
LD=ld

CCFLAGS=-O3 -DHAVE_CONFIG_H
LIBOBJS=wordwrap.o nullproc.o tblock.o scan_num.o map_chars.o col-align.o \
	compat.o num_unit_probe.o part_num_probe.o
AR=ar
RANLIB=ranlib
MYLIBS=liboutfmt.a
READER=reader.o strip.o
FMTS=fmt-text.o fmt-latex.o fmt-html.o
DATEFMTS=dedate.o deL1date.o deHTMLdate.o ukdate.o usdate.o
#Set to gopt.o if you lack getopt_long
GETOPT=
ALLOCA=
PROGOBJS=$(READER) word2x.o $(FMTS) $(DATEFMTS) $(GETOPT) $(ALLOCA) $(MYLIBS) 
TARGETS=word2x rtest2
MANP=word2x.1
prefix=/usr/local
exec_prefix=${prefix}

%.o: %.cc
	$(CPP) $(CPPFLAGS) -c -o $@ $<

%.o: $.c $(CC) $(CCFLAGS) -c -o $@ $<

#all:	config.h $(TARGETS)
all:	$(TARGETS)

config.h:	configure.in Makefile.in config.h.in
	./configure

configure: configure.in
	autoconf

Makefile: Makefile.in configure
	./configure

clean:
	rm -f *.o
	rm -f $(MYLIBS)

clobber: clean
	rm -f $(TARGETS)
	rm -f config.h Makefile
	rm -f config.cache config.status config.log *~
	rm -f cfg-script make-script

word2x.tar.gz: clobber configure config.h.in configure.in Makefile.in transcript
	chmod a-w configure
	tar -C .. -czf word2x.tar.gz word2x \
	    --exclude word2x/RCS --exclude word2x/word2x.tar.gz \
	    --exclude word2x/samples --exclude word2x/config.cache \
	    --exclude word2x/config.status --exclude word2x/config.log \
	    --exclude word2x/catdoc.c --exclude word2x/catdoc.msg \
	    --exclude word2x/config.h --exclude word2x/Makefile \
	    --exclude word2x/config.cache --exclude word2x/config.status \
	    --exclude word2x/config.log
	chmod 755 configure

transcript:  cfg-script make-script
	@echo "word2x build transcript" >transcript
	@echo "Note: the prompts are simulated. All the rest is real." >>transcript
	@echo "Simulation> ./configure" >>transcript
	@cat cfg-script >>transcript
	@echo "Simulation> make all" >>transcript
	@cat make-script >>transcript
	rm -f cfg-script make-script

cfg-script:
	@rm -f config.cache config.h
	./configure 2>&1 | tee cfg-script

make-script: config.h
	make all 2>&1 | tee make-script

liboutfmt.a: $(LIBOBJS)
	$(AR) rc $@ $(LIBOBJS)
	$(RANLIB) $@

rtest2:	rtest2.o $(READER) tblock.o
	g++ -o rtest2 rtest2.o $(READER) tblock.o

fmt-text.o: text-fmt.o text-table.o
	$(LD) -r -o $@ text-fmt.o text-table.o

fmt-latex.o: latex-fmt.o latex-table.o latex-embed.o
	$(LD) -r -o $@ latex-fmt.o latex-table.o latex-embed.o

fmt-html.o: html-fmt.o html-table.o html-embed.o
	$(LD) -r -o $@ html-fmt.o html-table.o html-embed.o

getopt.o: getopt.c
	$(CC) $(CFLAGS) -D_LIBC=1 -c -o $@ $<

getopt1.o: getopt1.c
	$(CC) $(CFLAGS) -D_LIBC=1 -c -o $@ $<

gopt.o: getopt.o getopt1.o
	$(LD) -r -o gopt.o getopt.o getopt1.o

word2x: $(PROGOBJS)
	$(CPP) -o $@ $(PROGOBJS)

install: $(TARGETS) $(MANP)
	/usr/bin/install -c $(MANP) -m 644 ${prefix}/usr/man/man1
	for I in $(TARGETS); do \
		/usr/bin/install -c $${I} -m 755 ${exec_prefix}/usr/bin/; \
	done

=== debian/changelog ===
word2x (1:0.005-1) unstable; urgency=low
  
  * Fix a typo in control file

 -- Matthew Vernon <matthew@debian.org>  Fri, 17 Sep 1999 10:42:21 +0100

word2x (1:0.005) unstable; urgency=low
	
  * New upstream version (closes: 30575)
	
 -- Matthew Vernon <matthew@debian.org>  Tue, 07 Sep 1999 15:06:01 +0000

word2x (1:0.002-4) frozen unstable; urgency=low

  * Upload to frozen with changelog included.

 -- David N. Welton <davidw@efn.org>  Tue, 24 Nov 1998 23:44:26 -0800

word2x (1:0.002-3) unstable; urgency=low

  * Fixes #29468.  Added dh_installchangelogs to debian/rules.

 -- David N. Welton <davidw@efn.org>  Sun, 15 Nov 1998 17:52:45 -0800

word2x (1:0.002-2) frozen unstable; urgency=low

  * Fixes #29048.

 -- David N. Welton <davidw@efn.org>  Mon,  9 Nov 1998 20:17:32 -0800

word2x (1:0.002-1) unstable; urgency=low

  * New upstream version.

 -- David N. Welton <davidw@efn.org>  Sat, 29 Aug 1998 15:40:44 -0700

word2x (1.5-2) unstable; urgency=low

  * Deleted menu entry - I guess that didn't really make sense.

 -- David N. Welton <davidw@efn.org>  Sun, 19 Oct 1997 16:47:05 -0700

word2x (1.5-1) unstable; urgency=low

  * Initial Release.

 -- David N. Welton <davidw@efn.org>  Fri,  3 Oct 1997 10:45:44 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "matthew@debian.org"
End:

  
  
  
  

=== debian/control ===
Source: word2x
Section: text
Priority: extra
Maintainer: Matthew Vernon <matthew@debian.org>
Standards-Version: 2.5.1.0

Package: word2x
Architecture: any
Depends: ${shlibs:Depends}
Description: Translates Word files into ascii text or LaTeX
 Takes Word files and transforms them into ascii text or LaTeX

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=word2x

build:
	$(checkdir)
	./configure  --prefix=`pwd`/debian/tmp
	make CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-rm config.cache
	-rm config.status
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars
	-rm -f word2x rtest2

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make install DESTDIR=`pwd`/debian/tmp
	echo got to the debhelper bits
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to
# debian/debstd
	dh_installdocs INTERNALS README
	dh_installexamples
	dh_installchangelogs
	dh_installmenu
	dh_installcron
#	/usr/bin/install -c word2x.1 -m 644 debian/tmp/usr/man/man1
	dh_installmanpages
	dh_movefiles
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs
	dh_md5sums
	dh_builddeb

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## word2x 0.005-4.1

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 PROGOBJS=$(READER) word2x.o $(FMTS) $(DATEFMTS) $(GETOPT) $(ALLOCA) $(MYLIBS) 
 TARGETS=word2x rtest2
 MANP=word2x.1
-prefix=/usr/local
+prefix=/home/mcv21/packages/word2x-0.005/debian/tmp
 exec_prefix=${prefix}
 
 %.o: %.cc
@@ -112,7 +112,7 @@
 	$(CPP) -o $@ $(PROGOBJS)
 
 install: $(TARGETS) $(MANP)
-	/usr/bin/install -c $(MANP) -m 644 ${prefix}/usr/man/man1
+	/usr/bin/install -c $(MANP) -m 644 /home/mcv21/packages/word2x-0.005/debian/tmp/usr/share/man/man1
 	for I in $(TARGETS); do \
 		/usr/bin/install -c $${I} -m 755 ${exec_prefix}/usr/bin/; \
 	done

=== debian/changelog ===
word2x (1:0.005-4.1) unstable; urgency=low

  * NMU
  * Update config.sub/guess and include <string.h> in tblock.h so
    that word2x will build on ia64.  (closes: Bug#118512)
  * Add a build-depends field in debian/control.

 -- Doug Porter <dsp@debian.org>  Wed, 14 Nov 2001 11:00:20 -0500

word2x (1:0.005-4) unstable; urgency=low

  * Set priority to optional
	
 -- Matthew Vernon <matthew@debian.org>  Tue, 10 Apr 2001 02:48:52 +0100
	

word2x (1:0.005-3) unstable; urgency=low
  
  * Rebuild to fix misc packaging issues (closes: #61551, #72512, #91090)
  * Include a working download URI (closes: #70728)
  
 -- Matthew Vernon <matthew@debian.org>  Mon, 16 Oct 2000 17:05:44 +0100

word2x (1:0.005-2) unstable; urgency=low

  * Recompile against new c++ library (closes: #57268, #53471)

 -- Matthew Vernon <matthew@debian.org>  Mon, 28 Feb 2000 10:57:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: word2x
 Section: text
-Priority: extra
+Priority: optional
 Maintainer: Matthew Vernon <matthew@debian.org>
-Standards-Version: 2.5.1.0
+Build-Depends: debhelper
+Standards-Version: 3.2.1.0
 
 Package: word2x
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 build:
 	$(checkdir)
-	./configure  --prefix=`pwd`/debian/tmp
+	./configure  --prefix=`pwd`/debian/tmp --mandir=`pwd`/debian/tmp/usr/share/man
 	make CFLAGS="-O2 -g -Wall"
 	touch build
 
@@ -32,7 +32,6 @@
 	install -d debian/tmp
 	cd debian/tmp && install -d `cat ../dirs`
 	make install DESTDIR=`pwd`/debian/tmp
-	echo got to the debhelper bits
 # Must have debmake installed for this to work. Otherwise please copy
 # /usr/bin/debstd into the debian directory and change debstd to
 # debian/debstd
@@ -41,13 +40,11 @@
 	dh_installchangelogs
 	dh_installmenu
 	dh_installcron
-#	/usr/bin/install -c word2x.1 -m 644 debian/tmp/usr/man/man1
 	dh_installmanpages
 	dh_movefiles
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_suidregister
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## word2x 1.5

=== Makefile ===
# $Id: Makefile,v 1.5 1997/03/31 23:14:18 dps Exp $
#
#Makefile for word2x
#Test system is
# Linux 2.1.28, gcc 2.7.2, libc 5.4.27
#
# My demo of it actually compiling is in compile-log

CPPFLAGS=-g -Wall
LIBOBJS=wordwrap.o nullproc.o tblock.o scan_num.o map_chars.o col-align.o \
	ukdate.o usdate.o
AR=ar
RANLIB=ranlib
LD=ld
MYLIBS=liboutfmt.a
READER=reader.o
FMTS=fmt-text.o fmt-latex.o
CPP=g++
PROGOBJS=$(READER) $(FMTS) word2x.o $(MYLIBS) 

all:	word2x rtest2

clean:
	rm -f *.o
	rm $(MYLIBS)

liboutfmt.a: $(LIBOBJS)
	$(AR) rc $@ $(LIBOBJS)
	$(RANLIB) $@

rtest2:	rtest2.o reader.o tblock.o
	g++ -o rtest2 rtest2.o reader.o tblock.o

fmt-text.o: text-fmt.o text-table.o
	$(LD) -r -o $@ text-fmt.o text-table.o

fmt-latex.o: latex-fmt.o latex-table.o latex-embed.o
	$(LD) -r -o $@ latex-fmt.o latex-table.o latex-embed.o

word2x: $(PROGOBJS)
	$(CPP) -o $@ $(PROGOBJS)
